Conversations
List Conversations
Returns a list of your WhatsApp and Messenger conversations. The most recent conversation is first.
GET
/
api
/
v1
/
conversations
List Conversations
curl --request GET \
--url https://app.chatflows.io/api/v1/conversations \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.chatflows.io/api/v1/conversations"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.chatflows.io/api/v1/conversations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.chatflows.io/api/v1/conversations",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.chatflows.io/api/v1/conversations"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://app.chatflows.io/api/v1/conversations")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.chatflows.io/api/v1/conversations")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": 12,
"contact_id": 1,
"contact": {
"id": 1,
"display_name": "Jane Doe",
"phone": "+919876543210",
"email": "[email protected]",
"is_active": true,
"created_at": "2026-06-26T10:00:00+00:00"
},
"channel_id": 2,
"platform": "whatsapp",
"status": "open",
"priority": "normal",
"unread_count": 1,
"last_message_at": "2026-06-26T10:05:00+00:00",
"last_message_preview": "Thanks for reaching out!",
"last_message_direction": "inbound",
"window_expires_at": "2026-06-27T10:05:00+00:00",
"free_entry_point_expires_at": null,
"free_entry_point_source": null,
"is_window_open": true,
"first_message_at": "2026-06-26T09:00:00+00:00",
"last_inbound_at": "2026-06-26T10:05:00+00:00",
"last_outbound_at": "2026-06-26T10:01:00+00:00",
"resolved_at": null,
"closed_at": null,
"created_at": "2026-06-26T09:00:00+00:00",
"updated_at": "2026-06-26T10:05:00+00:00"
}
],
"links": {
"next": null,
"prev": null
},
"meta": {
"per_page": 25,
"next_cursor": null,
"prev_cursor": null
}
}{
"message": "Missing API token.",
"error_code": "unauthenticated",
"status": 401
}{
"message": "Subscription required or expired.",
"error_code": "subscription_required",
"status": 402
}{
"message": "This token is missing the required scope: contacts:write.",
"error_code": "insufficient_scope",
"status": 403
}{
"message": "API request quota exhausted for this billing period.",
"error_code": "quota_exhausted",
"status": 429
}You can filter the list by customer, WhatsApp number or status.
Authorizations
Query Parameters
⌘I
List Conversations
curl --request GET \
--url https://app.chatflows.io/api/v1/conversations \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.chatflows.io/api/v1/conversations"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.chatflows.io/api/v1/conversations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.chatflows.io/api/v1/conversations",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.chatflows.io/api/v1/conversations"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://app.chatflows.io/api/v1/conversations")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.chatflows.io/api/v1/conversations")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": 12,
"contact_id": 1,
"contact": {
"id": 1,
"display_name": "Jane Doe",
"phone": "+919876543210",
"email": "[email protected]",
"is_active": true,
"created_at": "2026-06-26T10:00:00+00:00"
},
"channel_id": 2,
"platform": "whatsapp",
"status": "open",
"priority": "normal",
"unread_count": 1,
"last_message_at": "2026-06-26T10:05:00+00:00",
"last_message_preview": "Thanks for reaching out!",
"last_message_direction": "inbound",
"window_expires_at": "2026-06-27T10:05:00+00:00",
"free_entry_point_expires_at": null,
"free_entry_point_source": null,
"is_window_open": true,
"first_message_at": "2026-06-26T09:00:00+00:00",
"last_inbound_at": "2026-06-26T10:05:00+00:00",
"last_outbound_at": "2026-06-26T10:01:00+00:00",
"resolved_at": null,
"closed_at": null,
"created_at": "2026-06-26T09:00:00+00:00",
"updated_at": "2026-06-26T10:05:00+00:00"
}
],
"links": {
"next": null,
"prev": null
},
"meta": {
"per_page": 25,
"next_cursor": null,
"prev_cursor": null
}
}{
"message": "Missing API token.",
"error_code": "unauthenticated",
"status": 401
}{
"message": "Subscription required or expired.",
"error_code": "subscription_required",
"status": 402
}{
"message": "This token is missing the required scope: contacts:write.",
"error_code": "insufficient_scope",
"status": 403
}{
"message": "API request quota exhausted for this billing period.",
"error_code": "quota_exhausted",
"status": 429
}
